<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import {
  TeamOpsHero,
  TeamOpsSpotlight,
  TeamOpsFeatures,
  TeamOpsVideoSpotlight,
  TeamOpsCardSection,
  TeamOpsJoinUsSection,
} from '../../components/team-ops/index';
import { NextStep } from '../../components/common/index';
import { getPageMetadata } from '~/common/meta';

export default Vue.extend({
  name: 'TeamOps',
  components: {
    TeamOpsHero,
    TeamOpsSpotlight,
    TeamOpsFeatures,
    TeamOpsVideoSpotlight,
    TeamOpsCardSection,
    TeamOpsJoinUsSection,
    NextStep,
  },
  async asyncData({ $content, error, i18n }: any) {
    try {
      const locale = i18n.locale === i18n.defaultLocale ? '' : i18n.locale;
      const teamOps = await $content(locale, `teamops/index`).fetch();
      return { teamOps };
    } catch (e) {
      error({ statusCode: 404 });
      return {};
    }
  },
  head(): MetaInfo {
    const metaInfo = getPageMetadata(
      (this as any).teamOps,
      this.$route.path,
      this.$nuxtI18nHead({ addSeoAttributes: true }),
    );
    const isInternationalization =
      this.$i18n.locale !== this.$i18n.defaultLocale;

    if (isInternationalization) {
      metaInfo.meta.push({
        hid: 'salesRobots',
        name: 'robots',
        content: 'noindex,nofollow',
      });
    }

    return metaInfo;
  },
});
</script>

<template>
  <section class="team-ops">
    <TeamOpsHero :data="teamOps.hero" />
    <TeamOpsSpotlight :data="teamOps.spotlight" />
    <TeamOpsFeatures :data="teamOps.features" />
    <TeamOpsVideoSpotlight :data="teamOps.video_spotlight" />
    <TeamOpsCardSection :data="teamOps.card_section" />
    <TeamOpsJoinUsSection :data="teamOps.join_us" />
    <SlpContainer variant="gradient">
      <NextStep />
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.team-ops {
  :deep {
    .slp-btn-secondary {
      &:hover,
      &:focus {
        background: $color-primary-200;
        color: $color-primary-300;
      }
    }
  }
}
</style>
